/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident "$Header: kmmem_space.c 1.4 90/01/25 $"

/*
 * kmmem_space.c
 *	Configuration file for the multi-bus memory device
 */

/* $Log:	kmmem_space.c,v $
 */

#include "sys/types.h"
#include "sys/param.h"
#include "sys/devsw.h"

/* device operations */

extern	int	kmmopen();
extern	int	kmmread();
extern	int	kmmwrite();
extern	int	kmmmmap();
extern	int	nulldev();
extern	int	nodev();
extern	int	nostrmsgio();
extern	int	nostrpoll();

struct devops kmmdevops = {
	kmmopen,		/* d_open */
	nulldev,		/* d_close */
	nulldev,		/* d_strat */
	nulldev,		/* d_minphys */
	nulldev,		/* d_size */
	nulldev,		/* d_print */
	kmmread,		/* d_read */
	kmmwrite,		/* d_write */
	nodev,			/* d_ioctl */
	kmmmmap,		/* d_mmap */
	nulldev,		/* d_intr */
	NULL,			/* d_str */
	nostrmsgio,		/* d_strmsgio */
	nostrpoll		/* d_strpoll */
};
